package net.northking.cctp.upperComputer.service;

import net.northking.cctp.upperComputer.webSocket.entity.CmdRequest;
import net.northking.cctp.upperComputer.webSocket.thread.MessageHandler;

import javax.websocket.Session;


public interface DeviceConnectionService {

    boolean prepareEnvironment(String serial, String type, Session session);

    void handleMessage(String type, CmdRequest request);

    void closeDeviceSession(Session session);

    MessageHandler getHandleMessageThread(String serial);

    void closeConnectedDevice();

    void deviceAgentDead(String serial);

    void deviceAgentAlready(String serial);

}
